com.vuze.plugins.mlab.tools.ndt.swingemu

## Class JProgressBar

- java.lang.Object
- - com.vuze.plugins.mlab.tools.ndt.swingemu.Component
  - - com.vuze.plugins.mlab.tools.ndt.swingemu.JProgressBar

-     public class JProgressBar
      extends Component

  Emulation of javax.swing.JProgressBar for the NDT (Network Diagnostic Tool) plugin.

  This class provides a minimal stub implementation of a progress bar component to allow the NDT tool to run in headless environments. The progress bar maintains value and indeterminate state but provides no actual visual representation.

  All operations except state tracking are no-ops, maintaining API compatibility without requiring an actual graphical display system.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JProgressBar()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isIndeterminate()`
    `void` | `setIndeterminate(boolean b)`
    `void` | `setMaximum(int i)`
    `void` | `setMinimum(int i)`
    `void` | `setString(String str)`
    `void` | `setStringPainted(boolean b)`
    `void` | `setValue(int i)`

    - ### Methods inherited from class com.vuze.plugins.mlab.tools.ndt.swingemu.Component

      `add, add, add, addMouseListener, addWindowListener, getToolkit, pack, repaint, setBorder, setCursor, setEditable, setEnabled, setForeground, setLayout, setLayout, setPreferredSize, setResizable, setSize, setTitle, setVisible`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JProgressBar

          public JProgressBar()

  - ### Method Detail

    - #### isIndeterminate

          public boolean isIndeterminate()

    - #### setIndeterminate

          public void setIndeterminate(boolean b)

    - #### setMaximum

          public void setMaximum(int i)

    - #### setMinimum

          public void setMinimum(int i)

    - #### setString

          public void setString(String str)

    - #### setStringPainted

          public void setStringPainted(boolean b)

    - #### setValue

          public void setValue(int i)